Description: add hardening flags to Alljoyn scons stuff
Index: alljoyn-core-1509-15.09a/build_core/conf/linux/SConscript
===================================================================
--- alljoyn-core-1509-15.09a.orig/build_core/conf/linux/SConscript	2016-06-13 14:31:05.000000000 +0200
+++ alljoyn-core-1509-15.09a/build_core/conf/linux/SConscript	2016-06-13 14:32:17.000000000 +0200
@@ -44,6 +44,8 @@
                      '-fno-unwind-tables',
                      '-ffunction-sections',
                      '-fdata-sections',
+                     '-D_FORTIFY_SOURCE=2',
+                     '-fPIC',
                      '-Wno-long-long',
                      '-Wunused-parameter'])
 
@@ -56,6 +58,8 @@
                        '-fno-unwind-tables',
                        '-ffunction-sections',
                        '-fdata-sections',
+                       '-D_FORTIFY_SOURCE=2',
+                       '-fPIC',
                        '-Wno-long-long',
                        '-Wno-deprecated',
                        '-Wno-unknown-pragmas',
@@ -63,6 +67,8 @@
 
 env.Append(JAVACFLAGS = ['-Xlint', '-Xlint:-serial'])
 
+env.Append(LINKFLAGS = ['-z', 'relro', '-z', 'now'])
+
 # Debug/Release Variants
 if env['VARIANT'] == 'debug':
    env.Append(CFLAGS = '-g')
Index: alljoyn-core-1509-15.09a/alljoyn_core/router/posix/SConscript
===================================================================
--- alljoyn-core-1509-15.09a.orig/alljoyn_core/router/posix/SConscript	2016-06-13 14:31:05.000000000 +0200
+++ alljoyn-core-1509-15.09a/alljoyn_core/router/posix/SConscript	2016-06-13 14:31:05.000000000 +0200
@@ -15,6 +15,10 @@
 
 Import('router_env', 'router_objs', 'srobj')
 
+router_env.Append(LINKFLAGS = ['-fPIE', '-pie'])
+router_env.Append(CFLAGS = ['-fPIE'])
+router_env.Append(CPPFLAGS = ['-fPIE'])
+
 # Build the posix daemon and service launcher helper.
 if router_env['OS'] != 'darwin':
     daemon_env = router_env.Clone()
